#
# Conditional build:
%bcond_with	lying	# lie about the H header (always H:1)
#
Summary:	DirectConnect support library for dcgui-qt
Summary(pl.UTF-8):	Biblioteka obsługująca DirectConnect dla dcgui-qt
Name:		dclib
Version:	0.3.23
Release:	4
Epoch:		1
License:	GPL
Group:		Libraries
Source0:	http://dl.sourceforge.net/wxdcgui/%{name}-%{version}.tar.bz2
# Source0-md5:	6852e420e48d09b514fcb9f783611cdc
Patch0:		%{name}-lying_tags.patch
Patch1:		%{name}-ssl.patch
URL:		http://wxdcgui.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	bzip2-devel
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	libxml2-devel > 2.0.0
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	pkgconfig
Requires:	libxml2 > 2.0.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
DirectConnect support library for dcgui-qt.

%description -l pl.UTF-8
Biblioteka obsługująca DirectConnect dla dcgui-qt.

%package devel
Summary:	Header files for dclib
Summary(pl.UTF-8):	Pliki nagłówkowe dla dclib
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	bzip2-devel
Requires:	libstdc++-devel
Requires:	libxml2-devel > 2.0.0
Requires:	openssl-devel
Obsoletes:	dclib-static

%description devel
Header files for dclib.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla dclib.

%prep
%setup -q
%{?with_lying:%patch0 -p1}
%patch1 -p1

%build
%configure PTHREAD_LIBS=-lpthread
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS README
%attr(755,root,root) %ghost %{_libdir}/libdc.so.5
%attr(755,root,root) %{_libdir}/libdc.so.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/*.so
%{_libdir}/*.la
%dir %{_includedir}/dclib-0.3/
%dir %{_includedir}/dclib-0.3/dclib/core
%{_includedir}/dclib-0.3/dclib/core/*.h
%dir %{_includedir}/dclib-0.3/dclib
%{_includedir}/dclib-0.3/dclib/*.h
%{_pkgconfigdir}/*.pc
%changelog
* Wed Sep 26 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/dclib.git;a=log;h=master

* Wed Sep 26 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 50c4c23
- rel 4; fix openssl 1.1.1 build

* Sat Sep 15 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 3194a27
- release 3 (by relup.sh)

* Fri Jan 03 2014 Elan Ruusamäe <glen@delfi.ee> fcaab90
- track soname

* Fri Jan 03 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 2f6eefc
- ghost symlink
- link against -lpthread to avoid unresolved symbols
- rel 2

* Sun May 16 2010 sparky <sparky@pld-linux.org> 5dab514
- BR: pkgconfig

* Thu Apr 29 2010 Paweł Gołaszewski <blues@pld-linux.org> 57a2e0a
- 0.3.23 - ssl patch from upstream added, obsolete removed, no longer
  static subpackage

* Wed Apr 21 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 96deb6f
- release 3

* Mon Apr 12 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 2b4e7f3
- release 2

* Sun May 25 2008 Paweł Gołaszewski <blues@pld-linux.org> fa9c2bb
- 0.3.13

* Sat Dec 08 2007 Robert Tomasik <rotom@pld-linux.org> dd45c6c
- up to 0.3.12

* Mon Oct 15 2007 Robert Tomasik <rotom@pld-linux.org> ecafe3d
- up to 0.3.11

* Fri Aug 10 2007 Jakub Bogusz <qboosh@pld-linux.org> d30823a
- removed redundant cp

* Thu Aug 09 2007 Paweł Gołaszewski <blues@pld-linux.org> 2b4f16c
- 0.3.10

* Thu Aug 09 2007 Paweł Gołaszewski <blues@pld-linux.org> 64040c0
- missing DESTDIR feature

* Mon Jun 04 2007 Jakub Bogusz <qboosh@pld-linux.org> af139c2
- merged update to 0.3.9 from AC-branch (by sparky)

* Mon Jun 04 2007 Jakub Bogusz <qboosh@pld-linux.org> 3607cd7
- merged from AC-branch

* Mon Apr 02 2007 shadzik <shadzik@pld-linux.org> 15001fd
- kill unneeded automake BR and stuff that belongs to it
- rel 2 to rebuild with changes above and UTF-8 encondig

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 45f7b9c
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 3b6ce15
- converted to UTF-8

* Thu Dec 21 2006 Robert Tomasik <rotom@pld-linux.org> 30a81c3
- up to 0.3.8

